/*
 * config.h
 *
 *  Created on: 11.05.2015
 *      Author: wn
 */

#ifndef CONFIG_H_
#define CONFIG_H_


void configInit();
bool configIsValid();
void configReset();

void configRead(int addr, uint8_t len, char *buffer);
void configWrite(int addr, uint8_t len, char *buffer);

#define CONFIG_MAGIC 0    // 4
#define CONFIG_DEVICES 4  // 64
#define CONFIG_BROKER 68  // 64
#define CONFIG_NEXT 132

#endif /* CONFIG_H_ */
